Containers

Containers are a fundamental building block of CoreUI for Vue.js that contain, pad, and align your content within a given device or viewport.

How they work

Containers are the most basic layout element in CoreUI for Vue.js and are required when using our default grid system. Containers are used to contain, pad, and (sometimes) center the content within them. While containers can be nested, most layouts do not require a nested container.

CoreUI for Vue.js comes with three different containers:

  • <CContainer>, which sets a max-width at each responsive breakpoint
  • <CContainer fluid>, which is width: 100% at all breakpoints
  • <CContainer {sm|md|lg|xl|xxl}>, which is width: 100% until the specified breakpoint

The table below illustrates how each container’s max-width compares to the original <CContainer> and <CContainer fluid> across each breakpoint.

Extra small
<576px

Small
≥576px

Medium
≥768px

Large
≥992px

X-Large
≥1200px

XX-Large
≥1400px

<CContainer>100%540px720px960px1140px1320px
<CContainer sm>100%540px720px960px1140px1320px
<CContainer md>100%100%720px960px1140px1320px
<CContainer lg>100%100%100%960px1140px1320px
<CContainer xl>100%100%100%100%1140px1320px
<CContainer xxl>100%100%100%100%100%1320px
<CContainer fluid>100%100%100%100%100%100%

Default container

Our default <CContainer> class is a responsive, fixed-width container, meaning its max-width changes at each breakpoint.

vue
<template>
  <CContainer> Content here </CContainer>
</template>

<script setup>
import { CContainer } from '@coreui/vue'
</script>

Responsive containers

Responsive containers allow you to specify a class that is 100% wide until the specified breakpoint is reached, after which we apply max-widths for each of the higher breakpoints. For example, <CContainer sm> is 100% wide to start until the sm breakpoint is reached, where it will scale up with md, lg, xl, and xxl.

vue
<template>
  <CContainer sm>100% wide until small breakpoint</CContainer>
  <CContainer md>100% wide until medium breakpoint</CContainer>
  <CContainer lg>100% wide until large breakpoint</CContainer>
  <CContainer xl>100% wide until extra large breakpoint</CContainer>
  <CContainer xxl>100% wide until extra extra large breakpoint</CContainer>
</template>

<script setup>
import { CContainer } from '@coreui/vue'
</script>

Fluid containers

Use <CContainer fluid> for a full width container, spanning the entire width of the viewport.

vue
<template>
  <CContainer fluid> Content here </CContainer>
</template>

<script setup>
import { CContainer } from '@coreui/vue'
</script>

Angular Containers

Containers

Containers are a fundamental building block of CoreUI for Angular. They contain, pad, and align your content within a given device or viewport.

How they work

Containers are the most basic layout element in CoreUI for Angular and are required when using our default grid system. Containers are used to contain, pad, and (sometimes) center the content within them. While containers can be nested, most layouts do not require a nested container.

CoreUI for Angular comes with three different containers:

  • c-container, which sets a max-width at each responsive breakpoint
  • c-container fluid, which has width: 100% at all breakpoints
  • c-container { sm|md|lg|xl|xxl }, with width: 100% until the specified breakpoint

The table below illustrates how each container’s max-width compares to the original c-container and c-container fluid across each breakpoint.

<c-container>Extra small
<576px
Small
≥576px
Medium
≥768px
Large
≥992px
X-Large
≥1200px
XX-Large
≥1400px
100%540px720px960px1140px1320px
breakpoint="sm"100%540px720px960px1140px1320px
breakpoint="md"100%100%720px960px1140px1320px
breakpoint="lg"100%100%100%960px1140px1320px
breakpoint="xl"100%100%100%100%1140px1320px
breakpoint="xxl"100%100%100%100%100%1320px
fluid100%100%100%100%100%100%

Default container

Our default c-container class is a responsive, fixed-width container, meaning its max-width changes at each breakpoint.

import { Component } from '@angular/core';
import { ContainerComponent } from '@coreui/angular';

@Component({
  selector: 'docs-containers-default',
  templateUrl: './containers-default.component.html',
  styleUrls: ['./containers-default.component.scss'],
  imports: [ContainerComponent]
})
export class ContainersDefaultComponent {}
<c-container>
  Content here...
</c-container>
:host {
  c-container {
    background-color: var(--cui-light);
  }
}

Responsive containers

Responsive containers allow you to specify a class that is 100% wide until the specified breakpoint is reached, after which we apply max-width for each of the higher breakpoints. For example, c-container sm is 100% wide to start until the sm breakpoint is reached, where it will scale up with md, lg, xl, and xxl.

import { Component } from '@angular/core';
import { ContainerComponent } from '@coreui/angular';

@Component({
  selector: 'docs-containers-responsive',
  templateUrl: './containers-responsive.component.html',
  styleUrls: ['./containers-responsive.component.scss'],
  imports: [ContainerComponent]
})
export class ContainersResponsiveComponent {}
<c-container breakpoint="sm">
  100% wide until small breakpoint
</c-container>
<c-container breakpoint="md">
  100% wide until medium breakpoint
</c-container>
<c-container breakpoint="lg">
  100% wide until large breakpoint
</c-container>
<c-container breakpoint="xl">
  100% wide until extra large breakpoint
</c-container>
<c-container breakpoint="xxl">
  100% wide until extra extra large breakpoint
</c-container>
:host {
  c-container {
    margin-bottom: 1rem;
    background-color: var(--cui-light);
  }
}

Fluid containers

Use c-container fluid for a full width container, spanning the entire width of the viewport.

import { Component } from '@angular/core';
import { ContainerComponent } from '@coreui/angular';

@Component({
  selector: 'docs-containers-fluid',
  templateUrl: './containers-fluid.component.html',
  styleUrls: ['./containers-fluid.component.scss'],
  imports: [ContainerComponent]
})
export class ContainersFluidComponent {}
<c-container fluid>
  Content here...
</c-container>
:host {
  c-container {
    background-color: var(--cui-light);
  }
}

API reference

Grid Module

import { GridModule } from '@coreui/angular';

@NgModule({
    imports: [GridModule,]
})
export class AppModule() { }

c-container

component

jsx
import { ContainerComponent } from '@coreui/angular'
PropertyDefaultType
breakpoint''string

Set container 100% wide until a breakpoint.

fluidfalseboolean

Set container 100% wide, spanning the entire width of the viewport.